Path=r'D:\pytnon progs\Воллейбол\1.xlsx'
import os,openpyxl
from openpyxl import load_workbook,Workbook
Dom=['ДОМ','Д',]
Korpus=['КОРПУС','КОРП','К']
Rub=['Р','РУБ','РУБЛЕЙ']

wb = load_workbook(Path)
ws = wb[wb.sheetnames[0]]
ws2=wb[wb.sheetnames[1]]
MaxRow=ws.max_row
#В список заносится содержимое колонки С по рядам.
#Нулевому элементу списка соответствует ячейка С2 
#Текст очищается от скобок, точек и запятых
ParcedData=[str(ws['C'+str(i+1)].value).upper().replace('(','').replace(')','').replace('+/-','').replace('.','').replace(',','') for i in range(1,ws.max_row)]
#В список заносятся названия улиц из второй книги эксель файла
CityBase=[str(ws2['A'+str(i+1)].value).upper().replace('(','').replace(')','').replace('+/-','').replace('.','').replace(',','') for i in range(1,ws2.max_row)]

#Перебираются по рядам записи из  колонки с2 в поисках совпадения с одной из строчек 'улиц'
for c in range(0,len(ParcedData)):

	for i in CityBase:
#Для случая когда имя улицы однословное
		if  i in ParcedData[c] and ' ' not in i:
			AdressContainer=ParcedData[c].split()

			for j in range(0,len(AdressContainer)-1):
#Если обнаружено совпадение, то текст разбивается на слова и находится точная позиция 'улицы' в тексте 
				if i in AdressContainer[j]:
					
					if AdressContainer[j+1] in Dom and AdressContainer[j+2].isdigit() and AdressContainer[j+3] not in Korpus:  # Революции д. 5
						ws['G'+str(c+2)].value=i.title() + " дом "+AdressContainer[j+1]+' '+AdressContainer[j+2]
					elif AdressContainer[j+1] in Dom and AdressContainer[j+2].isdigit() and AdressContainer[j+3]in Korpus and AdressContainer[j+4].isdigit():
						ws['G'+str(c+2)].value=i.title()+' дом '+AdressContainer[j+2]+' корпус '+AdressContainer[j+4]               	
					elif    '/' in AdressContainer[j+2] and AdressContainer[j+1] in Dom:
						Split=AdressContainer[j+2].split('/')
						ws['G'+str(c+2)].value=i.title()+' дом '+str(Split[0])+' корпус '+str(Split[1])						
					elif    '/' in AdressContainer[j+1]:
						Split=AdressContainer[j+1].split('/')
						ws['G'+str(c+2)].value=i.title()+' дом '+Split[0]+' корпус ' + Split[1] 		
				
					else:
						ws['G'+str(c+2)].value=i.title()+' дом '+ AdressContainer[j+1]
#Случай, когда название улицы состоит из нескольких слов
		elif i in ParcedData[c] and ' '  in i:
			Street=i.split()
			Street1=str(Street[0])
			AdressContainer=ParcedData[c].split()
			for j in range(0,len(AdressContainer)-1):
#Если обнаружено совпадение, то текст разбивается на слова и находится точная позиция 'улицы' в тексте 
				if Street1 in AdressContainer[j]:
					if AdressContainer[j+len(Street)] in Dom and AdressContainer[j+len(Street)+1].isdigit() and AdressContainer[j+len(Street)+2] not in Korpus:  
						ws['G'+str(c+2)].value=i.title() + " дом "+AdressContainer[j+len(Street)+1] 
					elif AdressContainer[j+len(Street)] in Dom and AdressContainer[j+len(Street)+1].isdigit() and AdressContainer[j+len(Street)+2]  in Korpus and AdressContainer[j+len(Street)+3].isdigit():  
							ws['G'+str(c+2)].value=i.title() + " дом "+AdressContainer[j+len(Street)+1]+' корпус '+AdressContainer[j+len(Street)+3] 

					elif '/' in AdressContainer[j+(len(Street)-1)+2] and AdressContainer[j+(len(Street)-1)+1] in Dom:  
						Split=AdressContainer[j+(len(Street)-1)+2].split('/')
						ws['G'+str(c+2)].value=i.title() + " дом "+Split[0] + ' корпус '+Split[1] 
					elif '/' in AdressContainer[j+(len(Street)-1)+1]:  
						Split=AdressContainer[j+len(Street)].split('/')
						ws['G'+str(c+2)].value=i.title() + " дом "+Split[0] + ' корпус '+Split[1] 
# Розыск цены.

		PriceContainer=ParcedData[c].split()
		for l in range(0,len(PriceContainer)):
			for price in Rub:	
				if price in PriceContainer[l]:
					if len(PriceContainer[l-1])==3 and PriceContainer[l-1].isdigit() and int(PriceContainer[l-1])<=500 and int(PriceContainer[l-1])%50==0:				
						ws['H'+str(c+2)].value=PriceContainer[l-1]+' рублей'
			if  len(PriceContainer[l])==3 and PriceContainer[l].isdigit() and int(PriceContainer[l])<=500 and int(PriceContainer[l])%50==0:
				ws['H'+str(c+2)].value='Предположительно '+PriceContainer[l]+' рублей'
		
wb.save('1.xlsx')
